import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:get/get.dart';
import 'package:taafee_mobile/features/card/data_layer/model/card_model.dart';

import '../../../../common/widgets/text.dart';

class CardLocationWidget extends StatelessWidget {
  final CardModel cardModel;
  const CardLocationWidget({super.key, required this.cardModel});

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        SvgPicture.asset("assets/icons/location.svg"),
        MediumTextWidget(
          cardModel.cityModel.country,
        ).paddingOnly(left: 8)
      ],
    ).paddingSymmetric(
      horizontal: 5,
    );
  }
}
